Memcached::delete
Memcached::fetch
Memcached
PHP Manual

# Memcached::deleteByKey

(PECL memcached >= 0.1.0)

Memcached::deleteByKey — Supprime un élément d'un serveur spécifique

### Description

public bool Memcached::deleteByKey ( string `$server_key` , string `$key` [, int `$time` = 0 ] )

Memcached::deleteByKey() est fonctionnellement équivalente à Memcached::delete, hormis la variable libre `server_key` qui peut être utilisée pour diriger la variable `key` sur un serveur spécifique.

### Liste de paramètres

`server_key`

  La clé d'identification du serveur de stockage.

`key`

  La clé à effacer.

`time`

  La durée d'attente de l'effacement.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient. La méthode Memcached::getResultCode retourne `Memcached::RES_NOTFOUND` si la clé n'existe pas.

### Voir aussi

- Memcached::delete - Efface un élément

Memcached::delete
Memcached::fetch
Memcached
PHP Manual